<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Celula extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    protected $fillable = ['nivel','modulo_id','cx_altura','cx_profundidade','alturam','profundidadem','alturacm','profundidadecm'];

    public function getModulo()
    {
        return $this->belongsTo(Modulo::class,'modulo_id', 'id');
    }
    public function getTipoCaixa()
    {
        return $this->hasOne(ConfCaixa::class,'id', 'tipocaixasugestao_id');
    }
    
    public function getFilas(){

        return $this->hasMany(Fileira::class);
    }
    public function getEspacoCaixa(){

        return $this->hasMany(EspacoCaixaModulo::class);
    }
    public function getEspCx(){

        return $this->hasOne(EspacoCaixaModulo::class);
    }
    public function getFila(){

        return $this->hasOne(Fileira::class, 'celula_id','id');
    }
}
